0

Adafruit IO Arduino Library Errors on ESP32
Moderators: adafruit_support_bill, adafruit

Please be positive and constructive with your questions and comments.

Adafruit IO Arduino Library Errors on ESP32

by brubell on Mon Jun 10, 2019 2:31 pm

If you're running into errors compiling Arduino sketches including Adafruit IO Arduino on a Feather ESP32 HUZZAH, please make sure you have the following library versions installed:
* ESP-32 Board Support Package 1.0.3 or above
* Adafruit IO Arduino Library 3.2 or above
* Adafruit MQTT Library 1.0 (or above)

The following ESP32 board support package versions are incompatible with Adafruit IO Arduino: 1.0.2, 1.0.3 RC 1, 1.0.3 RC 2, 1.0.3 RC 3

Related GitHub Thread: https://github.com/espressif/arduino-esp32/issues/2755
Attachments
bsp_esp32.png
bsp_esp32.png (18.45 KiB) Viewed 131 times
Last edited by brubell on Wed Sep 18, 2019 2:10 pm, edited 1 time in total.
Reason: Update for 1.0.3

brubell
 
Posts: 548
Joined: Fri Jul 17, 2015 10:33 pm

Please be positive and constructive with your questions and comments.